/* removing fonts misbehaves with icons */
/* primary color: none #0cb1ef !important */
.brands {
display: flex;
justify-content: center;
}
.brands a > img{
object-fit: contain;
}

.brand-logo{
    border-radius: 50%;
    background-color: white;
}

.top_brands {
margin-bottom: 20px !important;
}


/* slider product */

.span_arrow {
font-size: 20px;
}

.span_arrow:hover {
cursor: pointer;
}

.featured_listing,
.featured_products,
.featured_service {
border-bottom: 1px solid #e1e1e1;
box-shadow: 2px 4px 5px -5pc #fffefe;
}


/* variants outline */

input[type="checkbox"] {
outline: none;
}


/* header scroll fixed*/

.nav_header.header_scroll {
position: fixed;
top: 0;
left: 0;
width: 100%;
z-index: 9999;
background: #fff;
/* box-shadow: 0px 2px 5px -5px #ccc; */
box-shadow: 0 2px 20px hsla(0, 0%, 0%, 0.1);
}

::-webkit-scrollbar {
display: none !important;
-ms-overflow-style: none;
scrollbar-width: none;
}


/* ==comment css== */

.card-inner {
margin-left: 4rem;
}

h1,
h2,
h3 {
font-family: 'Playfair Display', serif;
color: #000000;
}


/* === Comment CSS end==== */


/* ===Business house banner=== */

div.jumbotron.carousel-hero {
color: #fff;
text-align: center;
background-size: cover;
background-position: center;
padding-top: 100px;
padding-bottom: 100px;
margin-bottom: 0;
}

div.jumbotron.hero-nature {
background-image: url('architect-at-the-construction.jpg');
}

div.jumbotron.hero-technology {
/* background-image: url('../../assets/img/young-college-students.jpg'); */
background-image: url('http://127.0.0.1:8000/young-college-students.jpg');
}

h1.hero-title,
h2.hero-title,
h3.hero-title {
text-shadow: 0 3px 3px rgba(0, 0, 0, 0.4);
color: #fff;
}

p.hero-subtitle {
max-width: 600px;
margin: 25px auto;
padding: 10px 15px;
color: #fff;
}

.plat {
border-radius: 0px;
}

span {
font-style: inherit;
font-weight: inherit;
}


/* ===Business house carousal end=== */


/* ===Banner heading=== */

.fit-cover {
object-fit: cover;
}


/* ===Banner Heading=== */

.ls-slide div {
animation: slide 15s linear infinite;
}


/* ==banner slide== */


/* == banner slide == */


/* ==Key frames== */

@keyframes slide {
0% {
    transform: translate3d(0, 0, 0);
}
100% {
    transform: translate3d(-1500px, 0, 0);
    /* The image width */
}
}


/* ==keyframe end */


/* opening hours */

.opening {
background-color: #0044c2;
background-color: rgba(0, 77, 218, 0.05);
padding: 25px 25px 25px 80px;
position: relative;
-webkit-border-radius: 3px;
-moz-border-radius: 3px;
-ms-border-radius: 3px;
border-radius: 3px;
}

.ribbon {
position: absolute;
right: -5px;
top: -5px;
z-index: 0;
overflow: hidden;
width: 75px;
height: 75px;
text-align: right;
}

.ribbon span.open {
background: #79A70A;
}

.ribbon span {
font-size: 10px;
font-weight: bold;
color: #FFF;
text-transform: uppercase;
text-align: center;
line-height: 20px;
transform: rotate(45deg);
-webkit-transform: rotate(45deg);
width: 100px;
display: block;
position: absolute;
top: 19px;
right: -21px;
}

.op_hr .op_bk_clr {
color: red;
}

.op_hr li {
margin-bottom: 15px;
font-weight: 600;
background: #fff;
padding: 8px 15px;
color: #79A70A;
list-style: none;
}


/* opening end */


/* ===media queries==== */

@media only screen and (max-width: 380px) {
.brand_sub + .language_select{
    display: none !important;
}
.add_wishlist{
    display: none;
}

.brands {
    display: flex;
    justify-content: center;
}
.language_select {
    display: none;
}
/* banner slider */
.brand_title {
    display: flex;
    /* justify-content: flex-end; */
    /* text-align: center !important; */
    font-weight: 0 !important;
    font-size: inherit !important;
}
.author {
    /* justify-content: flex-start !important; */
    display: none !important;
}
/* .price_brand {
    text-align: end !important;
} */
.desc_brand {
    font-size: inherit !important;
    background-color: #000000c2;
    padding: 2px !important;
    text-align: center !important;
    color: #fff !important;
    /* visibility: hidden; */
    display: none;
}
.rating_brand {
    justify-content: flex-end !important;
    display: none !important;
}
.ls-slides img {
    width: 100% !important;
    /* height: 470px !important; */
    padding: 0 !important;
}
.main_carousal {
    height: inherit !important;
}
.button_buy {
    margin: auto !important;
    font-size: 10px;
    /* display: block !important; */
    padding: 5px;
    margin-bottom: 5px !important;
    position: absolute !important;
}
.left_image img {
    /* height: inherit !important; */
    height: 54vh !important;
    object-fit: cover;
    border-radius: 20px;
}
/* .button_buy {
    display: none;
} */
.right_desc {
    position: absolute;
    background-color: #00000056;
}
.banner_product_detail {
    /* position: inherit !important; */
    background: #ffffff91;
    /* width: max-content; */
    /* margin-left: 0.5rem !important; */
    background: #ffffff91;
    width: max-content;
    top: 25px !important;
    padding-block: 3px;
    border-radius: 8px;
    padding-left: 10px;
    padding-right: 10px;
    height: 48vh;
    width: 65vw;
}
.price_brand {
    font-size: inherit !important;
}
.ls-slides {
    background: inherit !important;
    border-radius: inherit !important;
}
/* cart page responsive */
.cart_responsive {
    flex-wrap: wrap;
    gap: inherit !important;
}
.cart_responsive .btn-primary {
    font-size: 14px;
}
}

::-webkit-scrollbar {
display: none;
}

@media (max-width: 390px) {
.brand_sub {
    display: none;
}
}

@media (max-width: 1020px) {
.desc_brand {
    width: 384px !important;
}
}


/* ====== Filter Listing styles ====== */

#header {
width: 100%;
height: 60px;
box-shadow: 5px 5px 15px #e8e8e8;
}

button.btn.btn-hide {
background-color: #3186d6;
color: #fff;
}

.btn:focus {
box-shadow: none;
}

.box-label .btn {
background-color: #fff;
padding: 0;
font-size: 0.8rem;
}

.pagination .page-item .page-link {
color: #333;
border: none;
/* width: 40px; */
width: 100px;
text-align: center;
}

.pagination .page-item.active .page-link {
background-color: #fff;
border: 1px solid #333;
}

#filterbar {
/* width: 30%; */
background-color: #fff;
border: 1px solid #ddd;
border-radius: 6px;
float: left;
}

#filterbar input[type="radio"] {
visibility: hidden;
}

#filterbar input[type="radio"]:checked {
background-color: #3186d6;
border: none;
}

#filterbar .btn.btn-success {
background-color: #ddd;
color: #333;
border: none;
width: 115px;
}

#filterbar .btn.btn-success:hover {
background-color: #3186d6;
color: #444;
}

#filterbar .btn-success:not(:disabled):not(.disabled).active,
#filterbar .btn-success:not(:disabled):not(.disabled):active {
background-color: #3186d6;
color: #fff;
}

label {
cursor: pointer;
}

.tick {
display: block;
position: relative;
padding-left: 23px;
cursor: pointer;
font-size: 0.9rem;
margin: 0;
}

.tick input {
position: absolute;
opacity: 0;
cursor: pointer;
height: 0;
width: 0;
}

.check {
position: absolute;
top: 1px;
left: 0;
height: 18px;
width: 18px;
background-color: #fff;
border: 1px solid #ddd;
border-radius: 3px;
}

.tick:hover input~.check {
background-color: #f3f3f3;
}

.tick input:checked~.check {
background-color: #ffffff;
}

.check:after {
content: "";
position: absolute;
display: none;
}

.tick input:checked~.check:after {
display: block;
transform: rotate(45deg) scale(1);
}

.tick .check:after {
left: 6px;
top: 2px;
width: 5px;
height: 10px;
border: solid rgb(0, 0, 0);
border-width: 0 3px 3px 0;
transform: rotate(45deg) scale(2);
}

.box {
padding: 10px;
}

#inner-box,
#inner-box2 {
height: 150px;
overflow-y: scroll;
background-color: white;
}

#inner-box2 {
height: 132px;
}

#inner-box::-webkit-scrollbar,
#inner-box2::-webkit-scrollbar {
width: 6px;
}

#inner-box::-webkit-scrollbar-track,
#inner-box2::-webkit-scrollbar-track {
background-color: #ddd;
border-radius: 2px;
}

#inner-box::-webkit-scrollbar-thumb,
#inner-box2::-webkit-scrollbar-thumb {
background-color: #333;
border-radius: 2px;
}

#price {
height: 45px;
}

#size input[type="checkbox"] {
visibility: hidden;
}

#size input[type="checkbox"]:checked {
background-color: #3186d6;
border: none;
}

#size .btn.btn-success {
background-color: #ddd;
color: #333;
border: none;
width: 40px;
font-size: 0.8rem;
border-radius: 0;
}

#size .btn.btn-success:hover {
background-color: #aff1e1;
color: #444;
}

#size .btn-success:not(:disabled):not(.disabled).active,
#size .btn-success:not(:disabled):not(.disabled):active {
background-color: #3186d6;
color: #fff;
}

#size label {
margin: 10px;
margin-left: 0px;
}

.card-body .btn-group .btn {
padding: 0;
width: 20px;
height: 20px;
margin-right: 5px;
border-radius: 50%;
position: relative;
}

.card-body .btn-group>.btn-group:not(:last-child)>.btn,
.card-body .btn-group>.btn:not(:last-child):not(.dropdown-toggle) {
border-radius: 50%;
transition: ease-in all 0.4s;
}

.card-body input[type="radio"] {
visibility: hidden;
}

.card-body .btn:not(:disabled):not(.disabled).active::after,
.card-body .btn:not(:disabled):not(.disabled):active::after {
content: "";
width: 10px;
height: 10px;
border-radius: 50%;
top: 4px;
left: 4.2px;
background-color: #fff;
position: absolute;
transition: ease-in all 0.4s;
}

.card-body .btn.btn-light:not(:disabled):not(.disabled).active::after,
.card-body .btn.btn-light:not(:disabled):not(.disabled):active::after {
background-color: #000;
}

#avail-size input[type="checkbox"] {
visibility: hidden;
}

#avail-size input[type="checkbox"]:checked {
background-color: #3186d6;
border: none;
}

#avail-size .btn.btn-success {
background-color: #ddd;
color: #333;
border: none;
width: 20px;
font-size: 0.7rem;
border-radius: 0;
padding: 0;
}

#avail-size .btn.btn-success:hover {
background-color: #aff1e1;
color: #444;
}

#avail-size .btn-success:not(:disabled):not(.disabled).active,
#avail-size .btn-success:not(:disabled):not(.disabled):active {
background-color: #3186d6;
color: #fff;
}

#avail-size label {
margin: 10px;
margin-left: 0px;
}

#shirt {
height: 170px;
}

.middle {
position: relative;
width: 100%;
margin-top: 25px;
}

.slider {
position: relative;
z-index: 1;
height: 5px;
margin: 0 15px;
}

.slider>.track {
position: absolute;
z-index: 1;
left: 0;
right: 0;
top: 0;
bottom: 0;
border-radius: 5px;
background-color: #ddd;
}

.slider>.range {
position: absolute;
z-index: 2;
left: 25%;
right: 25%;
top: 0;
bottom: 0;
border-radius: 5px;
background-color: #3186d6;
}

.slider>.thumb {
position: absolute;
top: 2px;
z-index: 3;
width: 20px;
height: 20px;
background-color: #3186d6;
border-radius: 50%;
box-shadow: 0 0 0 0 rgba(63, 204, 75, 0.705);
transition: box-shadow 0.3s ease-in-out;
}

.slider>.thumb::after {
position: absolute;
width: 8px;
height: 8px;
left: 28%;
top: 30%;
border-radius: 50%;
content: "";
background-color: #fff;
}

.slider>.thumb.left {
left: 25%;
transform: translate(-15px, -10px);
}

.slider>.thumb.right {
right: 25%;
transform: translate(15px, -10px);
}

.slider>.thumb.hover {
box-shadow: 0 0 0 10px rgba(125, 230, 134, 0.507);
}

.slider>.thumb.active {
box-shadow: 0 0 0 10px rgba(63, 204, 75, 0.623);
}

input[type="range"] {
position: absolute;
pointer-events: none;
-webkit-appearance: none;
z-index: 2;
height: 10px;
width: 100%;
opacity: 0;
}

input[type="range"]::-webkit-slider-thumb {
pointer-events: all;
width: 30px;
height: 30px;
border-radius: 0;
border: 0 none;
background-color: red;
-webkit-appearance: none;
}

@media (max-width: 1199.5px) {
/* .card {
    height: 350px;
} */
.price {
    font-size: 0.9rem;
}
.product-name {
    font-size: 0.8rem;
}
}

@media (max-width: 991.5px) {
#sort {
    background-color: inherit;
    color: #fff;
    margin: 0;
    margin-bottom: 20px;
    width: 100%;
}
/* .card {
    height: 345px;
} */
.price {
    font-size: 0.85rem;
}
}

@media (max-width: 525.5px) {
#filterbar {
    float: none;
    width: 100%;
    margin-bottom: 20px;
    border-radius: 5px;
}
#content.my-5 {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
}
}

@media (max-width: 500.5px) {
.pagination {
    /*display: none;*/
}
.products_mobile {
    flex-direction: column-reverse !important;
}
}
@media screen and (max-width: 480px){
    .card{
        height:fit-content;
    }
    .carousal_business_cover_caption{
        display: flex;
        flex-direction: column;
        position: absolute;
        right: 15%;
        bottom: 1.25rem;
        left: 15%;
        color: #fff;
        padding: 0;

    }
}


/* ===== Filter listing styles end===== */


/* ===== checkout css===== */


/* .btn.btn-primary {
background-color: #ddd;
color: black;
box-shadow: none;
border: none;
font-size: 20px;
width: 100%;
height: 100%;
} */

.btn.btn-primary:focus {
box-shadow: none;
}

.container .card .img-box {
width: 80px;
height: 50px;
}

.container .card img {
width: 100%;
/* object-fit: fill; */
height: 160px !important;
object-fit: contain !important;
padding-block: 5px;
}

.container .card .number {
font-size: 24px;
}

.container .card-body .btn.btn-primary .fab.fa-cc-paypal {
font-size: 32px;
color: #3333f7;
}

.fab.fa-cc-amex {
color: #1c6acf;
font-size: 32px;
}

.fab.fa-cc-mastercard {
font-size: 32px;
color: red;
}

.fab.fa-cc-discover {
font-size: 32px;
color: orange;
}

.c-green {
color: green;
}

.box {
/* height: 40px; */
/*modified; */
/* width: 50px; */
/*modified; */
/* display: flex; */
/*modified; */
align-items: center;
justify-content: center;
/* background-color: #ddd; */
/*modified; */
background-color: white;
border: 1px solid whitesmoke;
}

nav,
.wrapper {
padding: 10px 50px;
}

nav .logo a {
color: #000;
font-size: 1.2rem;
font-weight: bold;
text-decoration: none;
}

nav div.ml-auto a {
text-decoration: none;
font-weight: 600;
font-size: 0.8rem;
}

header {
padding: 20px 0px;
}

header .active {
font-weight: 700;
position: relative;
}

header .active .fa-check {
position: absolute;
left: 50%;
bottom: -27px;
background-color: #fff;
font-size: 0.7rem;
padding: 5px;
border: 1px solid #008000;
border-radius: 50%;
color: #008000;
}

.progress {
height: 2px;
background-color: #ccc;
}

.progress div {
display: flex;
align-items: center;
justify-content: center;
}

.progress .progress-bar {
width: 40%;
}

#details {
padding: 8px 50px;
min-height: 300px;
}

input {
border: none;
outline: none;
}

.form-group .d-flex {
border: 1px solid #ddd;
}

.form-group .d-flex input {
width: 95%;
}

.form-group .d-flex:hover {
color: #000;
cursor: pointer;
border: 1px solid #008000;
}

input[type="checkbox"]+label {
font-size: 0.85rem;
font-weight: 600;
}

#address,
#cart,
#summary {
padding: 20px 50px;
}

#address .d-md-flex p.text-justify,
#register p.text-muted {
margin: 0;
}

#register {
background-color: #d9ecf2;
}

#register a {
text-decoration: none;
color: #333;
}

#cart,
#summary {
max-width: 500px;
}

.h6 {
font-size: 1.2rem;
font-weight: 700;
}

.h6 a {
text-decoration: none;
font-size: 1rem;
}

.item img {
object-fit: cover;
border-radius: 5px;
}

.item {
position: relative;
}

.number {
position: absolute;
font-weight: 800;
color: #fff;
background-color: #0033ff;
padding-left: 7px;
border-radius: 50%;
border: 1px solid #fff;
width: 25px;
height: 25px;
top: -5px;
right: -5px;
}

.display-5 {
font-size: 1.2rem;
}

#cart~p.text-muted {
margin: 0;
font-size: 0.9rem;
}

tr.text-muted td {
border: none;
}

.fa-minus,
.fa-plus {
font-size: 0.7rem;
}

.table td {
padding: 0.3rem;
}

.btn.text-uppercase {
/* border: 1px solid #333; */
font-weight: 600;
border-radius: 0px;
}

.btn.text-uppercase:hover {
/* background-color: #333; */
background-color: #3186d6;
color: #eee;
}

.btn.text-white {
background-color: #66cdaa;
border-radius: 0px;
}

.btn.text-white:hover {
background-color: #3cb371;
}

.wrapper .row+div.text-muted {
font-size: 0.9rem;
}

.mobile,
#mobile {
display: none;
}

.buttons {
vertical-align: text-bottom;
}

#register {
width: 50%;
}

@media(min-width:768px) and (max-width: 991px) {
.progress .progress-bar {
    width: 33%;
}
#cart,
#summary {
    max-width: 100%;
}
.wrapper div.h5.large,
.wrapper .row+div.text-muted {
    display: none;
}
.mobile.h5,
#mobile {
    display: block;
}
}

@media(min-width: 576px) and (max-width: 767px) {
.progress .progress-bar {
    width: 29%;
}
#cart,
#summary {
    max-width: 100%;
}
.wrapper div.h5.large,
.wrapper .row+div.text-muted {
    display: none;
}
.mobile.h5,
#mobile {
    display: block;
}
.buttons {
    width: 100%;
}
}

@media(max-width: 575px) {
.progress .progress-bar {
    width: 38%;
}
#cart,
#summary {
    max-width: 100%;
}
nav,
.wrapper {
    padding: 10px 30px;
}
#register {
    width: 100%;
}
}

@media(max-width: 424px) {
/* body {
    width: fit-content;
} */
}

@media(max-width: 375px) {
.progress .progress-bar {
    width: 35%;
}
/* body {
    width: fit-content;
} */
}


/* ====== checkout css end ====== */


/* =====category css===== */

.category_outline {
width: 120px;
height: 2px;
background-color: #e1e1e1;
display: block;
margin: auto;
}

.category_outline em {
width: 60px;
height: 2px;
background-color: #004dda;
display: block;
margin: auto;
}

.category_heading {
margin: 25px 0% 0% 0%;
}


/* cards */

.category_img_div {
overflow: hidden;
position: relative;
}

.category_img_div img {
width: 100%;
height: 250px;
object-fit: cover;
transition: transform .3s ease;
}

.category_img_div:hover img {
transform: scale(1.1);
}

.category_desc_title {
/* background-color: #0088ccc7; */
background-color: #00008bcf;

border-radius: 0;
position: absolute;
width: 100%;
bottom: 0;
padding: 20px;
}

.category_desc_title a {
outline: none;
transition: all 0.3s ease-in-out;
}


/* .category_sub_click{
background-color: #0088ccc7;
border-radius: 0;
} */


/* =====category css end===== */


/* payment-select */


/*Imaged Radio Buttons*/

.payment_method_select {
position: relative;
margin-bottom: 25px;
}

.select_payment {
display: inline-block;
width: 204px;
height: 64;
border-radius: 0;
box-sizing: border-box;
cursor: pointer;
margin: 8px 25px 8px 0px;
}

.select_payment:hover {
box-shadow: 0px 0px 0px 1px rgba(0, 0, 0, 0.2);
}

.select_payment.selected {
box-shadow: 1px 3px 5px 3px rgba(0, 0, 0, 0.4);
}


/* payment select end */


/* ratings star start */

.rating {
display: flex;
        margin-top: -10px;
    flex-direction: row-reverse;
    margin-left: -4px;
        float: left;
}

.rating>input {
    display: none
}

.rating>label {
        position: relative;
    width: 19px;
    font-size: 15px;
    color: orange;
    cursor: pointer;
}

.rating>label::before {
    content: "\2605";
    position: absolute;
    opacity: 0
}

.rating>label:hover:before,
.rating>label:hover~label:before {
    opacity: 1 !important
}

.rating>input:checked~label:before {
    opacity: 1
}

.rating:hover>input:checked~label:before {
    opacity: 0.4
}

/* end ratings star */

/* banner responsive  */
.banner_image{
    height: 60vh;
}
@media all and (max-width: 480px) {
    .banner_image {
      height: auto !important;
    }
  }
@media all and (max-width: 480px){
    .brand_sub{
        display: none;
    }
}

/* cookie */
.js-cookie-consent{
    padding: 0 !important;
}
.cookie-consent__message{
    margin: 0 !important;
    color: white !important;
    font-size: 14px !important;
}
.js-cookie-consent .max-w-7xl > div > div{

    display: flex;
    justify-content: space-around;
    align-items: center;
    background: #0d6efd;
    color: #f8f9fa!important;
    text-align: center;
    padding-bottom: 0 !important;
    position: fixed;
    bottom: 0;
    /* z-index: 999999999999999; */
    width: 100%;
}

.max-w-7xl > div{
    padding: 0 !important;
}
.js-cookie-consent-agree{
    background: var(--bs-danger);
    border:none;
    outline: none;
    color: white;
    margin-bottom: 10px;
}

/* taglines fs */
.brand_sub{
    font-size: 20px !important;
}

@media all and (max-width: 480px) {
    .brand_sub{
        font-size: 10px !important;
    }
  }

  /* final update css maintained - 2023 */
  /* input field quantity css fix */
  input[name="quantity"]{
    padding: 0 !important;
}

  .quotation_brand_image{
    border-radius: 50%;
    width: 150px !important;
    height: 150px !important;
    overflow: hidden;
  }
  .quotation_brand_image:has(img) img {
        width: 50%;
        height: 60%;
        object-fit: contain;
  }